problems to run OPENLCA 1.4 in Ubuntu 14.04

Post Reply
emilio
Posts: 3
Joined: 24 Jun 2016 18:00

problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by emilio » 24 Jun 2016 18:12

Hi, I have downloaded and extracted the zip file and when I try to run openlca I get this


JVM terminated. Exit code=13
/home/emilio/Documents/openLCA/jre/bin/java
-Xmx2048M
-Dorg.openlca.core.updatesite=http://nexus.openlca.org/updatesite
-jar /home/emilio/Documents/openLCA/plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /home/emilio/Documents/openLCA/openLCA
-name OpenLCA
--launcher.library /home/emilio/Documents/openLCA/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20140603-1326/eclipse_1605.so
-startup /home/emilio/Documents/openLCA/plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
--launcher.overrideVmargs
-exitdata 600008
-clean
-nl en
-data @noDefault
-olcaVersion 1.4.2
-vm /home/emilio/Documents/openLCA/jre/bin/java
-vmargs
-Xmx2048M
-Dorg.openlca.core.updatesite=http://nexus.openlca.org/updatesite
-jar /home/emilio/Documents/openLCA/plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar

Does some one knows what can be done?

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by aciroth » 27 Jun 2016 11:01

You probably are trying to run it on a 32 bit system?

emilio
Posts: 3
Joined: 24 Jun 2016 18:00

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by emilio » 27 Jun 2016 23:31

Hi thank you for your answer, no my system is 64 bits

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by aciroth » 28 Jun 2016 11:39

And your Java version? It seems a mismatch between 32 and 64 bit (check java -version).

emilio
Posts: 3
Joined: 24 Jun 2016 18:00

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by emilio » 28 Jun 2016 18:27

Hi thank you for your help

I do have a 64 bit java version but it is open JDK, is this the problem ?


file /etc/alternatives/java /etc/alternatives/javac
/etc/alternatives/java: symbolic link to `/usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java'
/etc/alternatives/javac: symbolic link to `/usr/lib/jvm/java-7-openjdk-amd64/bin/javac'

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by aciroth » 29 Jun 2016 13:51

Ah that's possible, at least we did not test with OpenJDK; but definitely you need Java 8, while you seem to have Java 7.

msrocka
Posts: 18
Joined: 29 Jan 2013 10:07

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by msrocka » 01 Aug 2016 09:47

openLCA comes with an embedded Java version on Linux. So it should not matter what Java version you have installed (it works also without Java installed).

As it is written in the error message, openLCA tries to start Java from

Code: Select all

 /home/emilio/Documents/openLCA/jre/bin/java 
Unfortunately, I cannot reproduce the error (tested on Ubuntu 14.04 LTS with openLCA 1.4.2 and everything works fine). It seems to be an error that is produced by the Eclipse framework (e.g. http://stackoverflow.com/questions/4945 ... it-code-13). Are there some error logs written to /home/emilio/Documents/openLCA?

Could you try to add the following two lines to the openLCA.ini file (before –vmargs):

Code: Select all

-vm
/home/emilio/Documents/openLCA/jre/bin/java
-vmargs

User avatar
artur.szilagyi
Posts: 3
Joined: 25 Jun 2015 10:28
Location: Budapest, Hungary
Contact:

Re: problems to run OPENLCA 1.4 in Ubuntu 14.04

Post by artur.szilagyi » 26 Aug 2016 13:03

FYI version 1.4.2 works fine on my Ubuntu 16.04 x64 laptop.
Artur Szilagyi
openLCA fan

Post Reply

Who is online

Users browsing this forum: Google [Bot] and 1 guest